# Webhook API

API for webhook management

## Get list of Webhook Subscriptions

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Webhook API","description":"API for webhook management"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/subscription/webhook":{"post":{"tags":["Webhook API"],"summary":"Get list of Webhook Subscriptions","description":"Permission annotations:","operationId":"getSubscriptions","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyWithAccountContainer"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WebhookChannelsDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"EmptyWithAccountContainer":{"required":["account","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"}},"description":"Object with request data"},"WebhookChannelsDTO":{"required":["subscriptions"],"type":"object","properties":{"subscriptions":{"type":"array","description":"Array of webhook channel settings","items":{"$ref":"#/components/schemas/WebhookChannelDTO"}}},"description":"Object with webhooks"},"WebhookChannelDTO":{"required":["blockedByErrorCount","createdDate","enabled","errorCount","errorFirstDate","errorLastDate","notificationEventTypes","publicKey","requestId","secretKey","url"],"type":"object","properties":{"requestId":{"type":"string","description":"Id of the request that has created webhook subscription","format":"uuid"},"notificationEventTypes":{"type":"array","description":"Array of event types for webhook subscription. See Event types section for full list of values","items":{"type":"string","description":"Array of event types for webhook subscription. See Event types section for full list of values","enum":["PAYOUT_CHANGE_STATUS","PAYOUT_CONFIRMED","PAYOUT_CREATED_NOT_APPROVED","PAYOUT_CREATED_PARTLY_APPROVED","PAYOUT_IN_PROGRESS_NOT_SENT","PAYOUT_VALIDATION_ERROR","PAYOUT_NO_CONFIRMATION_FOR_PAYOUT_TO_DATE","SETTLEMENT_PAYOUT_CHANGE_STATUS","SETTLEMENT_PAYOUT_CONFIRMED","SETTLEMENT_PAYOUT_CREATED_NOT_APPROVED","SETTLEMENT_PAYOUT_CREATED_PARTLY_APPROVED","SETTLEMENT_PAYOUT_IN_PROGRESS_NOT_SENT","SETTLEMENT_PAYOUT_VALIDATION_ERROR","SETTLEMENT_PAYOUT_WITHDRAWAL_COMPLETED","TOP_UP_PENDING_COMPLIANCE","TOP_UP_COMPLIANCE_DECLINED","WALLET_FUNDS_DELIVERED_ACCOUNT","SYSTEM_NEW_FEATURE","SYSTEM_NEED_FEEDBACK","SYSTEM_SEVERAL_BLOCKS_LAG","SYSTEM_SERVICE_WORK","INVOICE_CREATE_INVOICE","INVOICE_CREATE_UNLIMITED_INVOICE","INVOICE_CREATE_BOUND_INVOICE","INVOICE_CREATE_UNLIMITED_LINKED_INVOICE","INVOICE_FUNDS_RECEIVED_FOR_INVOICE","INVOICE_TRANSLATION_TO_ACCOUNT_COMPLETED","INVOICE_PAID","INVOICE_PENDING_INTERVENTION","INVOICE_FAILED","INVOICE_EXPIRED","INVOICE_MEM_POOL_FOUND","INVOICE_PENDING_COMPLIANCE","INVOICE_COMPLIANCE_DECLINED","CUSTOMER_PURSE_EXPIRED","CUSTOMER_PURSE_MEM_POOL_FOUND","CUSTOMER_PURSE_PENDING_COMPLIANCE","CUSTOMER_PURSE_COMPLIANCE_DECLINED","CUSTOMER_PURSE_FUNDS_RECEIVED_FOR_PURSE","CUSTOMER_PURSE_TRANSLATION_TO_ACCOUNT_COMPLETED","FIAT_APPLIER_FIAT_FUNDS_RECEIVED","FIAT_APPLIER_ORDER_UNPAID","FIAT_APPLIER_PAYMENT_FAILED","FIAT_APPLIER_ADJUSTMENT","FIAT_APPLIER_WITHDRAWAL_SUCCESS","FIAT_APPLIER_WITHDRAWAL_FAILED","FIAT_APPLIER_ORDER_CREATED","FIAT_DEPOSIT_ORDER_CREATED","FIAT_DEPOSIT_ORDER_CONFIRM","FIAT_DEPOSIT_FIAT_FUNDS_RECEIVED","FIAT_DEPOSIT_ORDER_EXPIRED","FIAT_DEPOSIT_ORDER_FAILED","FIAT_DEPOSIT_ADJUSTMENT","FIAT_WITHDRAWAL_ORDER_CREATED","FIAT_WITHDRAWAL_ORDER_CONFIRM","FIAT_WITHDRAWAL_SUCCESS","FIAT_WITHDRAWAL_ORDER_EXPIRED","FIAT_WITHDRAWAL_ORDER_FAILED","C2C_LIQUIDITY_EXCHANGE_CREATED","C2C_LIQUIDITY_EXCHANGE_COMPLETED","C2C_LIQUIDITY_EXCHANGE_FAILED","CRYPTO_TO_CRYPTO_ORDER_CREATED","CRYPTO_TO_CRYPTO_ORDER_COMPLETED","BUSINESS_WALLET_EXCEEDING_LIMIT","LIQUIDITY_RUNNING_OUT_OF_FUNDS","PAYMENT_WIDGET_EXPIRED","SETTLEMENT_ADAPTER_TRANSFER_CREATED","SETTLEMENT_ADAPTER_TRANSFER_COMPLETED","SETTLEMENT_ADAPTER_TRANSFER_FAILED","SETTLEMENT_ADAPTER_TRANSFER_DECLINED","SETTLEMENT_TOP_UP_COMPLETED"]}},"url":{"type":"string","description":"Web address where request with webhook will be send to"},"publicKey":{"type":"string","description":"Public key"},"secretKey":{"type":"string","description":"Secret key"},"createdDate":{"type":"string","description":"Date and time of webhook subscription creation","format":"date-time"},"enabled":{"type":"boolean","description":"Enabled/disabled via API"},"blockedByErrorCount":{"type":"boolean","description":"Automatically disabled due to reaching unsuccessful requests in a row per unit of time"},"errorCount":{"type":"integer","description":"Number of unsuccessful requests in a row","format":"int64"},"errorFirstDate":{"type":"string","description":"Time of the first unsuccessful request in the sequence","format":"date-time"},"errorLastDate":{"type":"string","description":"Time of the last unsuccessful request in the sequence","format":"date-time"}},"description":"Webhook channel information"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Delete Webhook

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Webhook API","description":"API for webhook management"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/subscription/webhook":{"delete":{"tags":["Webhook API"],"summary":"Delete Webhook","description":"Permission annotations:","operationId":"removeSubscription","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByUuidRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByUuidRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByUuidRequestDTO"}},"description":"Object with request data"},"ByUuidRequestDTO":{"required":["requestId"],"type":"object","properties":{"requestId":{"type":"string","description":"The external id of the webhook subscription","format":"uuid"}},"description":"Object with request id parameter"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Create Webhook

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Webhook API","description":"API for webhook management"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/subscription/webhook/create":{"post":{"tags":["Webhook API"],"summary":"Create Webhook","description":"Permission annotations:","operationId":"createChannel","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerWebhookChannelRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WebhookChannelDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerWebhookChannelRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/WebhookChannelRequestDTO"}},"description":"Object with request data"},"WebhookChannelRequestDTO":{"required":["url"],"type":"object","properties":{"requestId":{"type":"string","description":"Id of the request that has created webhook subscription","format":"uuid"},"notificationEventTypes":{"type":"array","description":"Array of event types for webhook subscription. See Event types section for full list of values","items":{"type":"string","description":"Array of event types for webhook subscription. See Event types section for full list of values","enum":["PAYOUT_CHANGE_STATUS","PAYOUT_CONFIRMED","PAYOUT_CREATED_NOT_APPROVED","PAYOUT_CREATED_PARTLY_APPROVED","PAYOUT_IN_PROGRESS_NOT_SENT","PAYOUT_VALIDATION_ERROR","PAYOUT_NO_CONFIRMATION_FOR_PAYOUT_TO_DATE","SETTLEMENT_PAYOUT_CHANGE_STATUS","SETTLEMENT_PAYOUT_CONFIRMED","SETTLEMENT_PAYOUT_CREATED_NOT_APPROVED","SETTLEMENT_PAYOUT_CREATED_PARTLY_APPROVED","SETTLEMENT_PAYOUT_IN_PROGRESS_NOT_SENT","SETTLEMENT_PAYOUT_VALIDATION_ERROR","SETTLEMENT_PAYOUT_WITHDRAWAL_COMPLETED","TOP_UP_PENDING_COMPLIANCE","TOP_UP_COMPLIANCE_DECLINED","WALLET_FUNDS_DELIVERED_ACCOUNT","SYSTEM_NEW_FEATURE","SYSTEM_NEED_FEEDBACK","SYSTEM_SEVERAL_BLOCKS_LAG","SYSTEM_SERVICE_WORK","INVOICE_CREATE_INVOICE","INVOICE_CREATE_UNLIMITED_INVOICE","INVOICE_CREATE_BOUND_INVOICE","INVOICE_CREATE_UNLIMITED_LINKED_INVOICE","INVOICE_FUNDS_RECEIVED_FOR_INVOICE","INVOICE_TRANSLATION_TO_ACCOUNT_COMPLETED","INVOICE_PAID","INVOICE_PENDING_INTERVENTION","INVOICE_FAILED","INVOICE_EXPIRED","INVOICE_MEM_POOL_FOUND","INVOICE_PENDING_COMPLIANCE","INVOICE_COMPLIANCE_DECLINED","CUSTOMER_PURSE_EXPIRED","CUSTOMER_PURSE_MEM_POOL_FOUND","CUSTOMER_PURSE_PENDING_COMPLIANCE","CUSTOMER_PURSE_COMPLIANCE_DECLINED","CUSTOMER_PURSE_FUNDS_RECEIVED_FOR_PURSE","CUSTOMER_PURSE_TRANSLATION_TO_ACCOUNT_COMPLETED","FIAT_APPLIER_FIAT_FUNDS_RECEIVED","FIAT_APPLIER_ORDER_UNPAID","FIAT_APPLIER_PAYMENT_FAILED","FIAT_APPLIER_ADJUSTMENT","FIAT_APPLIER_WITHDRAWAL_SUCCESS","FIAT_APPLIER_WITHDRAWAL_FAILED","FIAT_APPLIER_ORDER_CREATED","FIAT_DEPOSIT_ORDER_CREATED","FIAT_DEPOSIT_ORDER_CONFIRM","FIAT_DEPOSIT_FIAT_FUNDS_RECEIVED","FIAT_DEPOSIT_ORDER_EXPIRED","FIAT_DEPOSIT_ORDER_FAILED","FIAT_DEPOSIT_ADJUSTMENT","FIAT_WITHDRAWAL_ORDER_CREATED","FIAT_WITHDRAWAL_ORDER_CONFIRM","FIAT_WITHDRAWAL_SUCCESS","FIAT_WITHDRAWAL_ORDER_EXPIRED","FIAT_WITHDRAWAL_ORDER_FAILED","C2C_LIQUIDITY_EXCHANGE_CREATED","C2C_LIQUIDITY_EXCHANGE_COMPLETED","C2C_LIQUIDITY_EXCHANGE_FAILED","CRYPTO_TO_CRYPTO_ORDER_CREATED","CRYPTO_TO_CRYPTO_ORDER_COMPLETED","BUSINESS_WALLET_EXCEEDING_LIMIT","LIQUIDITY_RUNNING_OUT_OF_FUNDS","PAYMENT_WIDGET_EXPIRED","SETTLEMENT_ADAPTER_TRANSFER_CREATED","SETTLEMENT_ADAPTER_TRANSFER_COMPLETED","SETTLEMENT_ADAPTER_TRANSFER_FAILED","SETTLEMENT_ADAPTER_TRANSFER_DECLINED","SETTLEMENT_TOP_UP_COMPLETED"]}},"notificationServiceTypes":{"type":"array","description":"Array of groups of the events for webhook subscription. If the value is set, a subscription is created for all types of events in this group","items":{"type":"string","description":"Array of groups of the events for webhook subscription. If the value is set, a subscription is created for all types of events in this group","enum":["PAYOUT","SETTLEMENT_PAYOUT","SETTLEMENT_ADAPTER","SETTLEMENT_WALLET","WALLET","INVOICE","C2C_LIQUIDITY","FIAT_APPLIER","FIAT_DEPOSIT","FIAT_WITHDRAWAL","CRYPTO_TO_CRYPTO","CRYPTO_TO_FIAT","BUSINESS_WALLET","SYSTEM","LIQUIDITY","RECURRENT","PAYMENT_WIDGET","CUSTOMER_PURSE"]}},"url":{"type":"string","description":"Id of the request that has created webhook subscription"}},"description":"Object with request parameters"},"WebhookChannelDTO":{"required":["blockedByErrorCount","createdDate","enabled","errorCount","errorFirstDate","errorLastDate","notificationEventTypes","publicKey","requestId","secretKey","url"],"type":"object","properties":{"requestId":{"type":"string","description":"Id of the request that has created webhook subscription","format":"uuid"},"notificationEventTypes":{"type":"array","description":"Array of event types for webhook subscription. See Event types section for full list of values","items":{"type":"string","description":"Array of event types for webhook subscription. See Event types section for full list of values","enum":["PAYOUT_CHANGE_STATUS","PAYOUT_CONFIRMED","PAYOUT_CREATED_NOT_APPROVED","PAYOUT_CREATED_PARTLY_APPROVED","PAYOUT_IN_PROGRESS_NOT_SENT","PAYOUT_VALIDATION_ERROR","PAYOUT_NO_CONFIRMATION_FOR_PAYOUT_TO_DATE","SETTLEMENT_PAYOUT_CHANGE_STATUS","SETTLEMENT_PAYOUT_CONFIRMED","SETTLEMENT_PAYOUT_CREATED_NOT_APPROVED","SETTLEMENT_PAYOUT_CREATED_PARTLY_APPROVED","SETTLEMENT_PAYOUT_IN_PROGRESS_NOT_SENT","SETTLEMENT_PAYOUT_VALIDATION_ERROR","SETTLEMENT_PAYOUT_WITHDRAWAL_COMPLETED","TOP_UP_PENDING_COMPLIANCE","TOP_UP_COMPLIANCE_DECLINED","WALLET_FUNDS_DELIVERED_ACCOUNT","SYSTEM_NEW_FEATURE","SYSTEM_NEED_FEEDBACK","SYSTEM_SEVERAL_BLOCKS_LAG","SYSTEM_SERVICE_WORK","INVOICE_CREATE_INVOICE","INVOICE_CREATE_UNLIMITED_INVOICE","INVOICE_CREATE_BOUND_INVOICE","INVOICE_CREATE_UNLIMITED_LINKED_INVOICE","INVOICE_FUNDS_RECEIVED_FOR_INVOICE","INVOICE_TRANSLATION_TO_ACCOUNT_COMPLETED","INVOICE_PAID","INVOICE_PENDING_INTERVENTION","INVOICE_FAILED","INVOICE_EXPIRED","INVOICE_MEM_POOL_FOUND","INVOICE_PENDING_COMPLIANCE","INVOICE_COMPLIANCE_DECLINED","CUSTOMER_PURSE_EXPIRED","CUSTOMER_PURSE_MEM_POOL_FOUND","CUSTOMER_PURSE_PENDING_COMPLIANCE","CUSTOMER_PURSE_COMPLIANCE_DECLINED","CUSTOMER_PURSE_FUNDS_RECEIVED_FOR_PURSE","CUSTOMER_PURSE_TRANSLATION_TO_ACCOUNT_COMPLETED","FIAT_APPLIER_FIAT_FUNDS_RECEIVED","FIAT_APPLIER_ORDER_UNPAID","FIAT_APPLIER_PAYMENT_FAILED","FIAT_APPLIER_ADJUSTMENT","FIAT_APPLIER_WITHDRAWAL_SUCCESS","FIAT_APPLIER_WITHDRAWAL_FAILED","FIAT_APPLIER_ORDER_CREATED","FIAT_DEPOSIT_ORDER_CREATED","FIAT_DEPOSIT_ORDER_CONFIRM","FIAT_DEPOSIT_FIAT_FUNDS_RECEIVED","FIAT_DEPOSIT_ORDER_EXPIRED","FIAT_DEPOSIT_ORDER_FAILED","FIAT_DEPOSIT_ADJUSTMENT","FIAT_WITHDRAWAL_ORDER_CREATED","FIAT_WITHDRAWAL_ORDER_CONFIRM","FIAT_WITHDRAWAL_SUCCESS","FIAT_WITHDRAWAL_ORDER_EXPIRED","FIAT_WITHDRAWAL_ORDER_FAILED","C2C_LIQUIDITY_EXCHANGE_CREATED","C2C_LIQUIDITY_EXCHANGE_COMPLETED","C2C_LIQUIDITY_EXCHANGE_FAILED","CRYPTO_TO_CRYPTO_ORDER_CREATED","CRYPTO_TO_CRYPTO_ORDER_COMPLETED","BUSINESS_WALLET_EXCEEDING_LIMIT","LIQUIDITY_RUNNING_OUT_OF_FUNDS","PAYMENT_WIDGET_EXPIRED","SETTLEMENT_ADAPTER_TRANSFER_CREATED","SETTLEMENT_ADAPTER_TRANSFER_COMPLETED","SETTLEMENT_ADAPTER_TRANSFER_FAILED","SETTLEMENT_ADAPTER_TRANSFER_DECLINED","SETTLEMENT_TOP_UP_COMPLETED"]}},"url":{"type":"string","description":"Web address where request with webhook will be send to"},"publicKey":{"type":"string","description":"Public key"},"secretKey":{"type":"string","description":"Secret key"},"createdDate":{"type":"string","description":"Date and time of webhook subscription creation","format":"date-time"},"enabled":{"type":"boolean","description":"Enabled/disabled via API"},"blockedByErrorCount":{"type":"boolean","description":"Automatically disabled due to reaching unsuccessful requests in a row per unit of time"},"errorCount":{"type":"integer","description":"Number of unsuccessful requests in a row","format":"int64"},"errorFirstDate":{"type":"string","description":"Time of the first unsuccessful request in the sequence","format":"date-time"},"errorLastDate":{"type":"string","description":"Time of the last unsuccessful request in the sequence","format":"date-time"}},"description":"Webhook channel information"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Change Webhook

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Webhook API","description":"API for webhook management"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/subscription/webhook/change":{"post":{"tags":["Webhook API"],"summary":"Change Webhook","description":"Permission annotations:","operationId":"changeSubscription","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerWebhookChannelRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WebhookChannelDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerWebhookChannelRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/WebhookChannelRequestDTO"}},"description":"Object with request data"},"WebhookChannelRequestDTO":{"required":["url"],"type":"object","properties":{"requestId":{"type":"string","description":"Id of the request that has created webhook subscription","format":"uuid"},"notificationEventTypes":{"type":"array","description":"Array of event types for webhook subscription. See Event types section for full list of values","items":{"type":"string","description":"Array of event types for webhook subscription. See Event types section for full list of values","enum":["PAYOUT_CHANGE_STATUS","PAYOUT_CONFIRMED","PAYOUT_CREATED_NOT_APPROVED","PAYOUT_CREATED_PARTLY_APPROVED","PAYOUT_IN_PROGRESS_NOT_SENT","PAYOUT_VALIDATION_ERROR","PAYOUT_NO_CONFIRMATION_FOR_PAYOUT_TO_DATE","SETTLEMENT_PAYOUT_CHANGE_STATUS","SETTLEMENT_PAYOUT_CONFIRMED","SETTLEMENT_PAYOUT_CREATED_NOT_APPROVED","SETTLEMENT_PAYOUT_CREATED_PARTLY_APPROVED","SETTLEMENT_PAYOUT_IN_PROGRESS_NOT_SENT","SETTLEMENT_PAYOUT_VALIDATION_ERROR","SETTLEMENT_PAYOUT_WITHDRAWAL_COMPLETED","TOP_UP_PENDING_COMPLIANCE","TOP_UP_COMPLIANCE_DECLINED","WALLET_FUNDS_DELIVERED_ACCOUNT","SYSTEM_NEW_FEATURE","SYSTEM_NEED_FEEDBACK","SYSTEM_SEVERAL_BLOCKS_LAG","SYSTEM_SERVICE_WORK","INVOICE_CREATE_INVOICE","INVOICE_CREATE_UNLIMITED_INVOICE","INVOICE_CREATE_BOUND_INVOICE","INVOICE_CREATE_UNLIMITED_LINKED_INVOICE","INVOICE_FUNDS_RECEIVED_FOR_INVOICE","INVOICE_TRANSLATION_TO_ACCOUNT_COMPLETED","INVOICE_PAID","INVOICE_PENDING_INTERVENTION","INVOICE_FAILED","INVOICE_EXPIRED","INVOICE_MEM_POOL_FOUND","INVOICE_PENDING_COMPLIANCE","INVOICE_COMPLIANCE_DECLINED","CUSTOMER_PURSE_EXPIRED","CUSTOMER_PURSE_MEM_POOL_FOUND","CUSTOMER_PURSE_PENDING_COMPLIANCE","CUSTOMER_PURSE_COMPLIANCE_DECLINED","CUSTOMER_PURSE_FUNDS_RECEIVED_FOR_PURSE","CUSTOMER_PURSE_TRANSLATION_TO_ACCOUNT_COMPLETED","FIAT_APPLIER_FIAT_FUNDS_RECEIVED","FIAT_APPLIER_ORDER_UNPAID","FIAT_APPLIER_PAYMENT_FAILED","FIAT_APPLIER_ADJUSTMENT","FIAT_APPLIER_WITHDRAWAL_SUCCESS","FIAT_APPLIER_WITHDRAWAL_FAILED","FIAT_APPLIER_ORDER_CREATED","FIAT_DEPOSIT_ORDER_CREATED","FIAT_DEPOSIT_ORDER_CONFIRM","FIAT_DEPOSIT_FIAT_FUNDS_RECEIVED","FIAT_DEPOSIT_ORDER_EXPIRED","FIAT_DEPOSIT_ORDER_FAILED","FIAT_DEPOSIT_ADJUSTMENT","FIAT_WITHDRAWAL_ORDER_CREATED","FIAT_WITHDRAWAL_ORDER_CONFIRM","FIAT_WITHDRAWAL_SUCCESS","FIAT_WITHDRAWAL_ORDER_EXPIRED","FIAT_WITHDRAWAL_ORDER_FAILED","C2C_LIQUIDITY_EXCHANGE_CREATED","C2C_LIQUIDITY_EXCHANGE_COMPLETED","C2C_LIQUIDITY_EXCHANGE_FAILED","CRYPTO_TO_CRYPTO_ORDER_CREATED","CRYPTO_TO_CRYPTO_ORDER_COMPLETED","BUSINESS_WALLET_EXCEEDING_LIMIT","LIQUIDITY_RUNNING_OUT_OF_FUNDS","PAYMENT_WIDGET_EXPIRED","SETTLEMENT_ADAPTER_TRANSFER_CREATED","SETTLEMENT_ADAPTER_TRANSFER_COMPLETED","SETTLEMENT_ADAPTER_TRANSFER_FAILED","SETTLEMENT_ADAPTER_TRANSFER_DECLINED","SETTLEMENT_TOP_UP_COMPLETED"]}},"notificationServiceTypes":{"type":"array","description":"Array of groups of the events for webhook subscription. If the value is set, a subscription is created for all types of events in this group","items":{"type":"string","description":"Array of groups of the events for webhook subscription. If the value is set, a subscription is created for all types of events in this group","enum":["PAYOUT","SETTLEMENT_PAYOUT","SETTLEMENT_ADAPTER","SETTLEMENT_WALLET","WALLET","INVOICE","C2C_LIQUIDITY","FIAT_APPLIER","FIAT_DEPOSIT","FIAT_WITHDRAWAL","CRYPTO_TO_CRYPTO","CRYPTO_TO_FIAT","BUSINESS_WALLET","SYSTEM","LIQUIDITY","RECURRENT","PAYMENT_WIDGET","CUSTOMER_PURSE"]}},"url":{"type":"string","description":"Id of the request that has created webhook subscription"}},"description":"Object with request parameters"},"WebhookChannelDTO":{"required":["blockedByErrorCount","createdDate","enabled","errorCount","errorFirstDate","errorLastDate","notificationEventTypes","publicKey","requestId","secretKey","url"],"type":"object","properties":{"requestId":{"type":"string","description":"Id of the request that has created webhook subscription","format":"uuid"},"notificationEventTypes":{"type":"array","description":"Array of event types for webhook subscription. See Event types section for full list of values","items":{"type":"string","description":"Array of event types for webhook subscription. See Event types section for full list of values","enum":["PAYOUT_CHANGE_STATUS","PAYOUT_CONFIRMED","PAYOUT_CREATED_NOT_APPROVED","PAYOUT_CREATED_PARTLY_APPROVED","PAYOUT_IN_PROGRESS_NOT_SENT","PAYOUT_VALIDATION_ERROR","PAYOUT_NO_CONFIRMATION_FOR_PAYOUT_TO_DATE","SETTLEMENT_PAYOUT_CHANGE_STATUS","SETTLEMENT_PAYOUT_CONFIRMED","SETTLEMENT_PAYOUT_CREATED_NOT_APPROVED","SETTLEMENT_PAYOUT_CREATED_PARTLY_APPROVED","SETTLEMENT_PAYOUT_IN_PROGRESS_NOT_SENT","SETTLEMENT_PAYOUT_VALIDATION_ERROR","SETTLEMENT_PAYOUT_WITHDRAWAL_COMPLETED","TOP_UP_PENDING_COMPLIANCE","TOP_UP_COMPLIANCE_DECLINED","WALLET_FUNDS_DELIVERED_ACCOUNT","SYSTEM_NEW_FEATURE","SYSTEM_NEED_FEEDBACK","SYSTEM_SEVERAL_BLOCKS_LAG","SYSTEM_SERVICE_WORK","INVOICE_CREATE_INVOICE","INVOICE_CREATE_UNLIMITED_INVOICE","INVOICE_CREATE_BOUND_INVOICE","INVOICE_CREATE_UNLIMITED_LINKED_INVOICE","INVOICE_FUNDS_RECEIVED_FOR_INVOICE","INVOICE_TRANSLATION_TO_ACCOUNT_COMPLETED","INVOICE_PAID","INVOICE_PENDING_INTERVENTION","INVOICE_FAILED","INVOICE_EXPIRED","INVOICE_MEM_POOL_FOUND","INVOICE_PENDING_COMPLIANCE","INVOICE_COMPLIANCE_DECLINED","CUSTOMER_PURSE_EXPIRED","CUSTOMER_PURSE_MEM_POOL_FOUND","CUSTOMER_PURSE_PENDING_COMPLIANCE","CUSTOMER_PURSE_COMPLIANCE_DECLINED","CUSTOMER_PURSE_FUNDS_RECEIVED_FOR_PURSE","CUSTOMER_PURSE_TRANSLATION_TO_ACCOUNT_COMPLETED","FIAT_APPLIER_FIAT_FUNDS_RECEIVED","FIAT_APPLIER_ORDER_UNPAID","FIAT_APPLIER_PAYMENT_FAILED","FIAT_APPLIER_ADJUSTMENT","FIAT_APPLIER_WITHDRAWAL_SUCCESS","FIAT_APPLIER_WITHDRAWAL_FAILED","FIAT_APPLIER_ORDER_CREATED","FIAT_DEPOSIT_ORDER_CREATED","FIAT_DEPOSIT_ORDER_CONFIRM","FIAT_DEPOSIT_FIAT_FUNDS_RECEIVED","FIAT_DEPOSIT_ORDER_EXPIRED","FIAT_DEPOSIT_ORDER_FAILED","FIAT_DEPOSIT_ADJUSTMENT","FIAT_WITHDRAWAL_ORDER_CREATED","FIAT_WITHDRAWAL_ORDER_CONFIRM","FIAT_WITHDRAWAL_SUCCESS","FIAT_WITHDRAWAL_ORDER_EXPIRED","FIAT_WITHDRAWAL_ORDER_FAILED","C2C_LIQUIDITY_EXCHANGE_CREATED","C2C_LIQUIDITY_EXCHANGE_COMPLETED","C2C_LIQUIDITY_EXCHANGE_FAILED","CRYPTO_TO_CRYPTO_ORDER_CREATED","CRYPTO_TO_CRYPTO_ORDER_COMPLETED","BUSINESS_WALLET_EXCEEDING_LIMIT","LIQUIDITY_RUNNING_OUT_OF_FUNDS","PAYMENT_WIDGET_EXPIRED","SETTLEMENT_ADAPTER_TRANSFER_CREATED","SETTLEMENT_ADAPTER_TRANSFER_COMPLETED","SETTLEMENT_ADAPTER_TRANSFER_FAILED","SETTLEMENT_ADAPTER_TRANSFER_DECLINED","SETTLEMENT_TOP_UP_COMPLETED"]}},"url":{"type":"string","description":"Web address where request with webhook will be send to"},"publicKey":{"type":"string","description":"Public key"},"secretKey":{"type":"string","description":"Secret key"},"createdDate":{"type":"string","description":"Date and time of webhook subscription creation","format":"date-time"},"enabled":{"type":"boolean","description":"Enabled/disabled via API"},"blockedByErrorCount":{"type":"boolean","description":"Automatically disabled due to reaching unsuccessful requests in a row per unit of time"},"errorCount":{"type":"integer","description":"Number of unsuccessful requests in a row","format":"int64"},"errorFirstDate":{"type":"string","description":"Time of the first unsuccessful request in the sequence","format":"date-time"},"errorLastDate":{"type":"string","description":"Time of the last unsuccessful request in the sequence","format":"date-time"}},"description":"Webhook channel information"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Regenerate Webhook Api keys

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Webhook API","description":"API for webhook management"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/subscription/webhook/api-keys/regenerate":{"delete":{"tags":["Webhook API"],"summary":"Regenerate Webhook Api keys","description":"Permission annotations:","operationId":"regenerateApiKeys","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContainerByUuidRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WebhookChannelDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"ContainerByUuidRequestDTO":{"required":["payload","timestamp"],"type":"object","properties":{"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByUuidRequestDTO"}},"description":"Object with request data"},"ByUuidRequestDTO":{"required":["requestId"],"type":"object","properties":{"requestId":{"type":"string","description":"The external id of the webhook subscription","format":"uuid"}},"description":"Object with request id parameter"},"WebhookChannelDTO":{"required":["blockedByErrorCount","createdDate","enabled","errorCount","errorFirstDate","errorLastDate","notificationEventTypes","publicKey","requestId","secretKey","url"],"type":"object","properties":{"requestId":{"type":"string","description":"Id of the request that has created webhook subscription","format":"uuid"},"notificationEventTypes":{"type":"array","description":"Array of event types for webhook subscription. See Event types section for full list of values","items":{"type":"string","description":"Array of event types for webhook subscription. See Event types section for full list of values","enum":["PAYOUT_CHANGE_STATUS","PAYOUT_CONFIRMED","PAYOUT_CREATED_NOT_APPROVED","PAYOUT_CREATED_PARTLY_APPROVED","PAYOUT_IN_PROGRESS_NOT_SENT","PAYOUT_VALIDATION_ERROR","PAYOUT_NO_CONFIRMATION_FOR_PAYOUT_TO_DATE","SETTLEMENT_PAYOUT_CHANGE_STATUS","SETTLEMENT_PAYOUT_CONFIRMED","SETTLEMENT_PAYOUT_CREATED_NOT_APPROVED","SETTLEMENT_PAYOUT_CREATED_PARTLY_APPROVED","SETTLEMENT_PAYOUT_IN_PROGRESS_NOT_SENT","SETTLEMENT_PAYOUT_VALIDATION_ERROR","SETTLEMENT_PAYOUT_WITHDRAWAL_COMPLETED","TOP_UP_PENDING_COMPLIANCE","TOP_UP_COMPLIANCE_DECLINED","WALLET_FUNDS_DELIVERED_ACCOUNT","SYSTEM_NEW_FEATURE","SYSTEM_NEED_FEEDBACK","SYSTEM_SEVERAL_BLOCKS_LAG","SYSTEM_SERVICE_WORK","INVOICE_CREATE_INVOICE","INVOICE_CREATE_UNLIMITED_INVOICE","INVOICE_CREATE_BOUND_INVOICE","INVOICE_CREATE_UNLIMITED_LINKED_INVOICE","INVOICE_FUNDS_RECEIVED_FOR_INVOICE","INVOICE_TRANSLATION_TO_ACCOUNT_COMPLETED","INVOICE_PAID","INVOICE_PENDING_INTERVENTION","INVOICE_FAILED","INVOICE_EXPIRED","INVOICE_MEM_POOL_FOUND","INVOICE_PENDING_COMPLIANCE","INVOICE_COMPLIANCE_DECLINED","CUSTOMER_PURSE_EXPIRED","CUSTOMER_PURSE_MEM_POOL_FOUND","CUSTOMER_PURSE_PENDING_COMPLIANCE","CUSTOMER_PURSE_COMPLIANCE_DECLINED","CUSTOMER_PURSE_FUNDS_RECEIVED_FOR_PURSE","CUSTOMER_PURSE_TRANSLATION_TO_ACCOUNT_COMPLETED","FIAT_APPLIER_FIAT_FUNDS_RECEIVED","FIAT_APPLIER_ORDER_UNPAID","FIAT_APPLIER_PAYMENT_FAILED","FIAT_APPLIER_ADJUSTMENT","FIAT_APPLIER_WITHDRAWAL_SUCCESS","FIAT_APPLIER_WITHDRAWAL_FAILED","FIAT_APPLIER_ORDER_CREATED","FIAT_DEPOSIT_ORDER_CREATED","FIAT_DEPOSIT_ORDER_CONFIRM","FIAT_DEPOSIT_FIAT_FUNDS_RECEIVED","FIAT_DEPOSIT_ORDER_EXPIRED","FIAT_DEPOSIT_ORDER_FAILED","FIAT_DEPOSIT_ADJUSTMENT","FIAT_WITHDRAWAL_ORDER_CREATED","FIAT_WITHDRAWAL_ORDER_CONFIRM","FIAT_WITHDRAWAL_SUCCESS","FIAT_WITHDRAWAL_ORDER_EXPIRED","FIAT_WITHDRAWAL_ORDER_FAILED","C2C_LIQUIDITY_EXCHANGE_CREATED","C2C_LIQUIDITY_EXCHANGE_COMPLETED","C2C_LIQUIDITY_EXCHANGE_FAILED","CRYPTO_TO_CRYPTO_ORDER_CREATED","CRYPTO_TO_CRYPTO_ORDER_COMPLETED","BUSINESS_WALLET_EXCEEDING_LIMIT","LIQUIDITY_RUNNING_OUT_OF_FUNDS","PAYMENT_WIDGET_EXPIRED","SETTLEMENT_ADAPTER_TRANSFER_CREATED","SETTLEMENT_ADAPTER_TRANSFER_COMPLETED","SETTLEMENT_ADAPTER_TRANSFER_FAILED","SETTLEMENT_ADAPTER_TRANSFER_DECLINED","SETTLEMENT_TOP_UP_COMPLETED"]}},"url":{"type":"string","description":"Web address where request with webhook will be send to"},"publicKey":{"type":"string","description":"Public key"},"secretKey":{"type":"string","description":"Secret key"},"createdDate":{"type":"string","description":"Date and time of webhook subscription creation","format":"date-time"},"enabled":{"type":"boolean","description":"Enabled/disabled via API"},"blockedByErrorCount":{"type":"boolean","description":"Automatically disabled due to reaching unsuccessful requests in a row per unit of time"},"errorCount":{"type":"integer","description":"Number of unsuccessful requests in a row","format":"int64"},"errorFirstDate":{"type":"string","description":"Time of the first unsuccessful request in the sequence","format":"date-time"},"errorLastDate":{"type":"string","description":"Time of the last unsuccessful request in the sequence","format":"date-time"}},"description":"Webhook channel information"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```
